Problem with Neo4j Spatial plugin

Hello, I am having a problem with the neo4j spatial plugin. I'm downloading the most recent version from here, https://github.com/neo4j-contrib/spatial/releases, but I can't get the plugin to work. When I unzip the zip file into neo4j's plugin directory, I can run neo4j but I can't use the plugins capabilities, and when I copy the jar file into the plugin directory, I can't run Neo4j at all and I get this error:

https://gyazo.com/f7d88d713f50d302ae3b05ba54f373bf

I'm running version 4.1 of Neo4j.